Name:           xfce4-hdaps-plugin
Version:        1.0.0
Release:        1%{?dist}
Summary:        A plugin to indicate the status of HDAPS

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://michael.orlitzky.com/code/xfce4-hdaps.php
Source0:        http://michael.orlitzky.com/code/releases/xfce4-hdaps-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  xfce4-panel-devel, libxfce4ui-devel
BuildRequires:  libxml2-devel, xfce4-dev-tools
BuildRequires:  intltool
BuildRequires:  gcc
Requires:       xfce4-panel >= 4.4.0
Requires:       hdapsd

%description
A plugin to indicate the status of the IBM Hard Drive Active
Protection System, or HDAPS. Also used in Macbooks.

%prep
%setup -q -n xfce4-hdaps-%{version}

%build
%configure --disable-static
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'
#%find_lang %{name}


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi


%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files
#-f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS ChangeLog README TODO
%{_libdir}/xfce4/panel/plugins/*.so
%{_datadir}/xfce4/panel/plugins/*.desktop
%{_datadir}/icons/hicolor/*/*/*


%changelog
* Thu Dec 12 2019 josef radinger <cheese@nosuchhost.net> - 1.0.0-1
- bump version
- cleanup of spec-file
- switch source to xz from bz2

* Wed Oct 31 2018 josef radinger <cheese@nosuchhost.net> - 0.0.9-3
- add gcc to Buildrequires

* Fri May 29 2015 josef radinger <cheese@nosuchhost.net> - 0.0.9-2
- replace libxfcegui4-devel with libxfce4ui-devel

* Sat Jun 09 2012 josef radinger <cheese@nosuchhost.net> - 0.0.9-1
- bump version

* Fri Apr 13 2012 josef radinger <cheese@nosuchhost.net> - 0.0.8-2
- add Requirement on hdapsd

* Fri Apr 13 2012 josef radinger <cheese@nosuchhost.net> - 0.0.8-1
- Initial RPM release.
